apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization

namespace: linstor

labels:
- includeSelectors: true
  pairs:
    app.kubernetes.io/name: piraeus-datastore

patches:

# Remove the namespace provided by the base template, one is already created by our infra
- target:
    kind: Namespace
  patch: |
    $patch: delete
    apiVersion: v1
    kind: Namespace
    metadata:
      name: ignored

# Remove the CRDs as they are installed manually
- target:
    kind: CustomResourceDefinition
  patch: |
    $patch: delete
    apiVersion: apiextensions.k8s.io/v1
    kind: CustomResourceDefinition
    metadata:
      name: ignored

resources:
- https://github.com/piraeusdatastore/piraeus-operator//config/default?ref=v2
- linstor-cluster.yaml
- linstor-sat-config.yaml
- storage-classes.yaml
- monitoring.yaml
